function [scatterMag,XI,YI,PI] =density2scatter(nbin,xy,cutof)
%funciton to calculate the density of a scatter data
xy=xy(~isnan(xy(:,2)),:);
xy=xy(~isnan(xy(:,1)),:);

xli=[min(xy(:,1)) max(xy(:,1))];
yli=[min(xy(:,2)) max(xy(:,2))];
rb=diff(xli)/diff(yli)
X=xy;
nbins=[round(nbin*rb),nbin]
%nbins=[40,40]

minx = min(X,[],1);
maxx = max(X,[],1);
edges1 = linspace(minx(1), maxx(1), nbins(1)+1);
ctrs1 = edges1(1:end-1) + .5*diff(edges1);
edges1 = [-Inf edges1(2:end-1) Inf];
edges2 = linspace(minx(2), maxx(2), nbins(2)+1);
ctrs2 = edges2(1:end-1) + .5*diff(edges2);
edges2 = [-Inf edges2(2:end-1) Inf];
[n,p] = size(X);
bin = zeros(n,2);
% Reverse the columns of H to put the first column of X along the
% horizontal axis, the second along the vertical.
[dum,bin(:,2)] = histc(X(:,1),edges1);
[dum,bin(:,1)] = histc(X(:,2),edges2);
H = accumarray(bin,1,nbins([2 1])) ./ n;
%pN=find(H==0);
pN=find(H<=cutof);
PI=H;PI(pN)=NaN;
[XI,YI]=meshgrid(minx(1)-0.001:(maxx(1)-minx(1))/(nbins(1)-1):maxx(1),minx(2):(maxx(2)-minx(2))/(nbins(2)-1):maxx(2));
scatterMag=interp2(XI,YI,PI,X(:,1),X(:,2));
scatterMag=[X scatterMag];
